Package com.clickhouse.jdbc

# Class JdbcParseHandler

java.lang.Object
com.clickhouse.jdbc.parser.ParseHandler
com.clickhouse.jdbc.JdbcParseHandler

public class JdbcParseHandler extends ParseHandler

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ParseHandler`
`INSTANCE`

## Method Summary

Modifier and Type
Method
Description
`static JdbcParseHandler`
`getInstance(boolean allowLightWeightDelete, boolean allowLightWeightUpdate, boolean allowLocaleFile)`
`ClickHouseSqlStatement`
`handleStatement(String sql, StatementType stmtType, String cluster, String database, String table, String input, String compressAlgorithm, String compressLevel, String format, String file, List<Integer> parameters, Map<String,Integer> positions, Map<String,String> settings, Set<String> tempTables)`
Hanlde statemenet.

### Methods inherited from class com.clickhouse.jdbc.parser.ParseHandler

`handleMacro, handleParameter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANCE

public static final ParseHandler INSTANCE

## Method Details

### getInstance

public static JdbcParseHandler getInstance(boolean allowLightWeightDelete, boolean allowLightWeightUpdate, boolean allowLocaleFile)

### handleStatement

public ClickHouseSqlStatement handleStatement(String sql, StatementType stmtType, String cluster, String database, String table, String input, String compressAlgorithm, String compressLevel, String format, String file, List<Integer> parameters, Map<String,Integer> positions, Map<String,String> settings, Set<String> tempTables)
Description copied from class: `ParseHandler`
Hanlde statemenet.

Overrides:
  `handleStatement` in class `ParseHandler`
Parameters:
  `sql` - sql statement
  `stmtType` - statement type
  `cluster` - cluster
  `database` - database
  `table` - table
  `input` - input
  `compressAlgorithm` - compression algorithm
  `compressLevel` - compression level
  `format` - format
  `file` - infile or outfile
  `parameters` - positions of parameters
  `positions` - keyword positions
  `settings` - settings
  `tempTables` - temporary tables
Returns:
  sql statement, or null means no change